      program main
      use timer
      implicit none

      real(kind=8) :: time0, time1, time2

      call MPI_INIT (MPI_COMM_WORLD)
      time0 = MPH_timer (0,1)
      time1 = MPH_timer (1,1)
      time2 = MPH_timer (2,1)
      write(*,*) time0, time1, time2
      call MPI_FINALIZE (MPI_COMM_WORLD)

      end program 


